<?php

// Featured Posts Widget.
require get_template_directory() . '/inc/widgets/featured-posts-widget.php';

// Grid Posts Widget.
require get_template_directory() . '/inc/widgets/grid-posts-widget.php';

// Express List Widget.
require get_template_directory() . '/inc/widgets/express-list-widget.php';

// Posts Carousel Widget.
require get_template_directory() . '/inc/widgets/posts-carousel-widget.php';

// Most Read Widget.
require get_template_directory() . '/inc/widgets/most-read-widget.php';

// Social Widget.
require get_template_directory() . '/inc/widgets/social-widget.php';

/**
 * Register Widgets
 */
function news_articles_register_widgets() {

	register_widget( 'News_Articles_Featured_Posts_Widget' );

	register_widget( 'News_Articles_Grid_Posts_Widget' );

	register_widget( 'News_Articles_Express_List_Widget' );

	register_widget( 'News_Articles_Posts_Carousel_Widget' );

	register_widget( 'News_Articles_Most_Read_Widget' );

	register_widget( 'News_Articles_Social_Widget' );

}
add_action( 'widgets_init', 'news_articles_register_widgets' );
